View Issue Details

IDProjectCategoryLast Update
0020876AI War 2[All Projects] Bug - GameplayJun 4, 2019 10:32 am
ReporterDominus ArbitrationisAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.809 Divide By Human 
Fixed in VersionBETA 0.865 The Return Of Deepstriking 
Summary0020876: Clicking single unit in the selection box selects extra units
DescriptionWhen I have multiple units selected, as listed in the lower right hand side of the screen, if I click on a specific line item (e.g. my flag ship), it selects my flagship *and* several additional units.

Source: Jonesmz on Steam: https://steamcommunity.com/app/573410/discussions/0/1741103267290418373/
TagsNo tags attached.

Activities

Kahuna

Dec 28, 2018 1:48 pm

reporter   ~0050680

This sounds similar to issue 0000010 on my thread https://forums.arcengames.com/ai-war-ii/testing-ai-war-2-again/msg220244/#msg220244 Wasn't sure if it's a bug or not.

Kahuna

Dec 28, 2018 2:28 pm

reporter   ~0050683

Aha. Apparently # 10 without space does.. something.. here in Mantis. The 0000010 was mean to be # 10 without the space referring to issue number 10 on my thread.

x4000Bughunter

Jun 4, 2019 10:32 am

administrator   ~0051807

Thanks!

* Fixed a longstanding issue where if you clicked a single item in your list of selected units in the lower right corner, it wouldn't just limit down to that only.
** Basically we can't call Unselect() from inside DoForSelected(), we need to return RemoveAndContinue instead or else if will skip indices.

Issue History

Date Modified Username Field Change
Dec 28, 2018 1:12 pm Dominus Arbitrationis New Issue
Dec 28, 2018 1:48 pm Kahuna Note Added: 0050680
Dec 28, 2018 2:28 pm Kahuna Note Added: 0050683
Dec 29, 2018 1:58 pm Dune Assigned To => x4000Bughunter
Dec 29, 2018 1:58 pm Dune Status new => acknowledged
Jun 4, 2019 10:32 am x4000Bughunter Status acknowledged => resolved
Jun 4, 2019 10:32 am x4000Bughunter Resolution open => fixed
Jun 4, 2019 10:32 am x4000Bughunter Fixed in Version => BETA 0.865 The Return Of Deepstriking
Jun 4, 2019 10:32 am x4000Bughunter Note Added: 0051807